"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDays = exports.isValidDate = exports.formatDate = void 0;
const formatDate = (date, options = {}) => {
    const dateObj = new Date(date);
    const { format = "medium", locale = "en-US" } = options;
    return dateObj.toLocaleDateString(locale, { dateStyle: format });
};
exports.formatDate = formatDate;
const isValidDate = (date) => {
    const dateObj = new Date(date);
    return dateObj instanceof Date && !isNaN(dateObj.getTime());
};
exports.isValidDate = isValidDate;
const addDays = (date, days) => {
    const result = new Date(date);
    result.setDate(result.getDate() + days);
    return result;
};
exports.addDays = addDays;
