"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCurrency = exports.randomNumber = exports.round = void 0;
const round = (num, decimals = 2) => {
    return Number(Math.round(Number(num + "e" + decimals)) + "e-" + decimals);
};
exports.round = round;
const randomNumber = (min, max) => {
    return Math.floor(Math.random() * (max - min + 1)) + min;
};
exports.randomNumber = randomNumber;
const formatCurrency = (amount, currency = "USD", locale = "en-US") => {
    return new Intl.NumberFormat(locale, {
        style: "currency",
        currency,
    }).format(amount);
};
exports.formatCurrency = formatCurrency;
