"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.slugify = exports.toCamelCase = exports.capitalize = void 0;
const capitalize = (str) => {
    return str.charAt(0).toUpperCase() + str.slice(1);
};
exports.capitalize = capitalize;
const toCamelCase = (str) => {
    return str
        .replace(/[-_\s]+(.)?/g, (_, c) => (c ? c.toUpperCase() : ""))
        .replace(/^(.)/, (c) => c.toLowerCase());
};
exports.toCamelCase = toCamelCase;
const slugify = (str) => {
    return str
        .toLowerCase()
        .replace(/\s+/g, "-")
        .replace(/[^\w-]+/g, "");
};
exports.slugify = slugify;
